Dashboard

EPS history

GET/api/earnings/eps-history

Free Starter Stock ETF Pro

Returns earnings per share over time with basic and diluted EPS, net income, share counts, and year-over-year growth. Data is sourced from SEC XBRL filings (10-K and 10-Q). Periods are sorted most recent first.

Get API key Try it live in the API explorer

Query parameters

Example request

curl 'https://api.stockfit.io/v1/api/earnings/eps-history?symbol=AAPL&cik=320193&cusip=037833100&composite_figi=BBG000B9XRY4&share_class_figi=BBG001S5N8V8&currency=USD' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Responses

200 OK

Array of EPS history entries sorted most recent first

Response schema

array of:
  • period string

    Fiscal period end date (YYYY-MM-DD)

  • fiscalYear integer

    The company's fiscal year (handles non-December year-ends — AAPL FY ends Sep, COST FY ends Aug).

  • fiscalPeriod string (enum)

    Fiscal period of a reported value: `FY` (annual), `Q1`-`Q4` (quarterly), or `TTM` (trailing twelve months).

    Allowed values: FY, Q1, Q2, Q3, Q4, TTM
  • eps number | null

    Basic earnings per share

  • epsDiluted number | null

    Diluted earnings per share

  • netIncome number | null

    Net income in the requested currency (default USD)

  • sharesOutstanding number | null

    Basic weighted average shares outstanding

  • sharesOutstandingDiluted number | null

    Diluted weighted average shares outstanding

  • epsGrowth number | null

    Year-over-year EPS growth as a decimal (0.11 = 11%)

Example response

[
  {
    "period": "2024-09-28",
    "fiscalYear": 2025,
    "fiscalPeriod": {},
    "eps": 6.08,
    "epsDiluted": 6.04,
    "netIncome": 93736000000,
    "sharesOutstanding": 15408095000,
    "sharesOutstandingDiluted": 15515175000,
    "epsGrowth": 0.1068
  }
]

400 Bad Request

Invalid parameters or symbol not found

Response schema

  • error string

    Human-readable error message

Example response

{}

403 Forbidden

Feature not available on current plan

Response schema

  • error string

    Human-readable error message

Example response

{}